/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/


.progress-text .elementor-widget-container {
    display: flex;
    align-items: center;
    gap: 15px;
    cursor: pointer;
}


.progress-text .elementor-widget-container h2 {
    color: #000000; /* Initial Black */
    margin: 0; 
    padding: 0;
    transition: color 0.6s ease;
}


.progress-text .elementor-widget-container::after {
    content: '';
    display: block;
    height: 1px; /* Line thickness */
    background-color: #000000; /* Initial Black line */
    width: 30px; /* Initial width */
    transition: width 0.6s ease, background-color 0.6s ease;
}

.momma-latest-stories .progress-text .elementor-widget-container::after,
.momma-kitchen .progress-text .elementor-widget-container::after {
    background-color: #F69E9C;
}


.progress-text:hover .elementor-widget-container h2 {
    color: #F69E9C !important; /* Force color change on hover */
}

.progress-text:hover .elementor-widget-container::after {
    background-color: #F69E9C; /* Line turns pink/peach */
    width: 45px; /* Line grows */
}

.momma-landing-post { overflow:hidden; }
.momma-latest-stories .momma-landing-post::before {
    transform: scale(1);
    transition: transform 0.6s ease;
    will-change: transform;
}

.momma-latest-stories .momma-landing-post:hover::before {
  transform: scale(1.1);
}


.momma-header {
    transform: translateY(100vh);
    transition: transform 0.6s ease;
}

.momma-latest-stories .elementor-grid .e-loop-item:first-of-type {
    grid-column: span 2;
    grid-row: span 2;
}

.home-add-to-cart {
    position: absolute;
    width: 90%;
    margin: 0 5% 0 5%;
    bottom: 5%;
    opacity: 0;
    transition: opacity 0.6s ease;
}

.momma-home-favou:hover .home-add-to-cart {
    opacity: 1;
}
.momma-fav-img-blk { overflow:hidden; }
.momma-fav-img { 
    transform: scale(1); 
    transition: transform 0.6s ease;
    will-change: transform;
}
.momma-home-favou:hover .momma-fav-img {
    transform: scale(1.1);
}

